Автор Тема: Проблема с установкой дров на видеокарту ATI radeon x800  (Прочитано 5884 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн rarar

Добрый день,друзья,на os windows проблем с этим небыло,вот перехожу на линукс и решил большую часть вопросов связанных с новой os ,но я задался вопросов установкой видео дров на систему.

у меня стоит видеокарта:
Цитировать
Display controller: ATI Technologies Inc R430 [Radeon X800] (PCIE) (Secondary)

вбил команду,чтобы узнать о 3d ускорителе,который установил каким-то пакетом,пока копался:
Цитировать
root@******:~# glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Software Rasterizer
вопрос
Цитировать
direct rendering: Yes
значит,что видеодрайвер работает или это просто 3d ускоритель редринга?

я поднял вопрос из-за того,что при запуске через wine warcraft3 и других приложений пишет,что отключен AGP либо идет кадровая анимация,то есть по кадру в ~5 секунд,не сложно было догадаться,что возможна проблема с directx, но он установлен через winetricks.
смысл моей проблемы в том,что я не могу понять,то ли это directx балуется с wine,то ли видеодрайвер не работает,если directx не работает в wine,то не могу понять почему,если я его устанавливал и все завершилось без ошибок.
Если видеодрайвер,то где найти рабочий,так,как я качал с официального сайта и вовремя установки появилось следующее:
Цитировать
root@****t:~# sh '/home/****/Загрузки/ati-driver-installer-9-3-x86.x86_64.run' --buildpkg Debian/etch
Created directory fglrx-install.o4VgYM
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593.....
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Debian/etch
./packages/Debian/ati-packager.sh: 177: dpkg-architecture: not found
Error: unsupported architecture:
Removing temporary directory: fglrx-install.o4VgYM
пишет не поддерживаемая архитектура,погуглил там информация размыта. вместо Debian/etch пробовал писать все включая stable
буду признателен за помощь!  ::)
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн Malaheenee

Попробуйте выполнить установку просто sh '/home/****/Загрузки/ati-driver-installer-9-3-x86.x86_64.run', а еще лучше чтобы кириллицы в пути к файлу не было.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн rarar

Результаты:
Убрал кириллицу с путей ( без билда )
Цитировать
root@****:/home/sku# sh ati-driver-installer-9-3-x86.x86_64.run
Created directory fglrx-install.LkNc4L
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593...
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.32-5-686; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.LkNc4L
Без кириллицы с билдом(выдало,что не указан дистрибутив)
Цитировать
root@****:/home/sku# sh ati-driver-installer-9-3-x86.x86_64.run --buildpkg
Created directory fglrx-install.wfOFOz
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593...
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Error: Packaging scripts failed to identify current distro/version.  Please provide a distro/version from --listpkg as a parameter
Removing temporary directory: fglrx-install.wfOFOz
Ну и без кириллицы,с билдом и указанным дистрибутивом
Цитировать
root@****:/home/sku# sh ati-driver-installer-9-3-x86.x86_64.run --buildpkg Debian/etch
Created directory fglrx-install.qdV7oL
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593...
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Debian/etch
./packages/Debian/ati-packager.sh: 177: dpkg-architecture: not found
Error: unsupported architecture:
Removing temporary directory: fglrx-install.qdV7oL

Исходя из всего,получается,что ati 9.3 не поддерживает дебиан вообще,тогда не подскажите,есть ли замена каких-то свободных драйверов для моей видеокарты под дебиан?
Мелкий вопрос ещё,устанавливают ли драйвера видеокарт прямо в wine?
спасибо
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

John

  • Гость
Мелкий вопрос ещё,устанавливают ли драйвера видеокарт прямо в wine?
Сомневаюсь.
 

Оффлайн vladimir_ar

Мелкий вопрос ещё,устанавливают ли драйвера видеокарт прямо в wine?
устанавливаются. Только не работают  ;D
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн rarar

понятно,а есть ли замена каких-то свободных драйверов для моей видеокарты под дебиан? я шарился ничего путного не нашел,только упоминания об этом..
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн Malaheenee

Так, а список требуемых пакетов в системе есть? Linux-headers для нужного ядра установлены?
« Последнее редактирование: 19 Ноября 2012, 07:26:11 от Malaheenee »
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн rarar

Так, а список требуемых пакетов в системе есть? Linux-headers для нужного ядра установлены?
Malaheenee,прямо говоря,никогда не имел дела с linux и Debian,в гугле пишут,что Linux-headers это набор для компиляции ядра.
В ссылке которую вы мне дали,описываются следующие компоненты:

Цитировать
Minimum System Requirements
• POSIX Shared Memory (/dev/shm) support is required for 3D apps
• glibc version 2.2 or 2.3
• Linux kernel 2.6 or higher
• XOrg 6.8, 6.9, 7.0, 7.1, 7.2, 7.3 or 7.4
(установлен у меня) - glibc 2.11 установил,не знаю подойдет ли,но другого не вижу через aptitude search ***
(установлен у меня) - X.Org X Server 1.7.7  - я не доганяю где там 7.x взялось в требованиях,если без единицы,то понятно.
не посоветуете пакеты POSIX Shared Memory,Linux kernel ?

Цитировать
• XFree86-Mesa-libGL
• libstdc++
• libgcc
• XFree86-libs
• fontconfig
• freetype
• zlib
• gcc
эти я так понимаю,что нужны для компиляции ядра драйвера?

Можете в общем описать процесс который я должен проделать на примере любого другого драйвера который вам знаком,если вам удобно,то на моем? спасибо
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн vladimir_ar

Исходя из всего,получается,что ati 9.3 не поддерживает дебиан вообще
Поддерживает, но до версии Х - ов не выше 7,3 (7,4). Так далеко по видеосистеме я не откатывался, максимум - снижал на тестинге до версии стабле.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн rarar

можно детальнее?  ???
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн vladimir_ar

Что именно?
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн rarar

как ставить видео дрова на линукс ? зачем компилировать хоть?
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн vladimir_ar

Драйвера для АТИ не нужно компилировать. По крайней мере в явном виде. Драйвера от АТИ закрыты - исходного кода нет, и компилить нечего. Свободные у вас уже должны стоять. А вообще плохо понятно - чт оне устраивает?
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн rarar

тестирую любую игру через wine,к примеру warcraft 3 , и видны конкретные тормоза,как будто бы видео вообще нету и всю нагрузку берет на себя ЦП,в итоге лагает и игру видно кадрами раз в пару секунд.. флеш игры так же тормозят,на видне все нормально с этим же железом,вот я и решил,что проблема с настроенной видео) если есть идея,помогите,а?

Сообщение объединено: 30 Ноября 2012, 14:34:53
Вопрос,а может быть проблема в том,что я запускаю игры с винчестера на котором игры установлены были ещё при ос виндовс?
« Последнее редактирование: 30 Ноября 2012, 14:34:53 от rarar »
Билл создал Windows,как ограничитель фантазии программиста,а Линус дал начало безграничным творениям и идеям
 

Оффлайн qupl

Вопрос,а может быть проблема в том,что я запускаю игры с винчестера на котором игры установлены были ещё при ос виндовс?
Может влиять то, что раздел там NTFS. Но скорее всего видеодрайвер не настроен.

Теги:
     

    Проблема с калибровкой тачскрина

    Автор andman

    Ответов: 4
    Просмотров: 3107
    Последний ответ 09 Января 2018, 10:53:44
    от andman
    se c902 проблема с подключением

    Автор SeHELLioN

    Ответов: 2
    Просмотров: 1983
    Последний ответ 01 Марта 2012, 19:24:57
    от SeHELLioN
    Сетевая карта tp-link tg-3269 pci проблема с драйверами

    Автор rem-077

    Ответов: 14
    Просмотров: 1439
    Последний ответ 04 Июля 2019, 17:57:10
    от rem-077
    Проблема с принтером epson tx117

    Автор seisros

    Ответов: 2
    Просмотров: 2905
    Последний ответ 29 Июня 2013, 19:09:55
    от seisros
    Проблема с графикой ACER Aspire 1714SMi

    Автор Lucik530

    Ответов: 7
    Просмотров: 2123
    Последний ответ 08 Мая 2020, 19:35:03
    от Lucik530